| Home · All Classes · All Namespaces · Modules · Functions · Files

# SocketNetmaskIPv4 Struct Reference
[Structure types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Attributes

- QString address
- uchar prefixLength

## Detailed Description

Structure type generated from the specification.

An IPv4 network or subnet.

## Member Data Documentation

QString address

A dotted-quad IPv4 address literal: four ASCII decimal numbers, each between 0 and 255 inclusive, e.g. "192.168.0.1".

uchar prefixLength

The number of leading bits of the address that must match, for this netmask to be considered to match an address.